# Maldisoft cmdline usage tutorial


Create the data and html directories:

```
mkdir data
mkdir html
```

Inside the `data` directory you **MUST** create a sub directory for the data that you want to analyze together. Then, inside the `html` directory you MUST also create a subdirectory where the results will be written.

For example if you plan to analize data from the database nih:
```
mkdir data/nih
mkdir html/nih
```

Copy inside `data/nih` the data to be analyzed.

The list of peaks that you want to analyze is inside the file peaks.txt.  If you want to remove or add a new peak just follow the same one column format that is inside the file.  

Currently:

```
1257.4
1419.5
1581.5
1743.6
1809.7
1905.6
```

To run the program you just need to follow the following syntax in the terminal:

```
python2 maldisoft.py peaks.txt html/sample_name/ data/sample_name/*
```

For the NIH example it would be:
```
python2 maldisoft.py peaks.txt html/nih/ data/nih/*
```

The results should be inside `html/nih`.

To open the results page in your computer go to the directory and double click the index.html file.

If you have an apple machine just do:

```
open html/nih/index.html
```

